#
# spec file for package ignition-config-transpiler
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           ignition-config-transpiler
Version:        0.4.0+git20200124.846a5a4
Release:        bp155.2.19
Summary:        Tool to convert a yaml config file into a Ignition configuration
License:        Apache-2.0
Group:          System/Management
URL:            https://github.com/coreos/fcct
Source:         fcct-%{version}.tar.xz
BuildRequires:  golang(API) >= 1.12

%description
The Ignition Config Transpiler ("fcct" for short) is the utility
responsible for transforming a human-friendly yaml config file
into a JSON file for ignition. This resulting file can be provided
to a machine with Ignition installed when it first boots to provision
the machine.

%prep
%setup -q -n fcct-%{version}

%build
go build -o fcct -mod vendor -buildmode=pie -ldflags "-X github.com/coreos/fcct/internal/version.Raw=%{version}" internal/main.go

%install
install -d -p %{buildroot}%{_bindir}
install -p -m 0755 fcct %{buildroot}%{_bindir}/ignition-config-transpiler
ln -sf ignition-config-transpiler %{buildroot}%{_bindir}/fcct

%files
%license LICENSE
%doc README.md NEWS docs
%{_bindir}/ignition-config-transpiler
%{_bindir}/fcct

%changelog
* Tue Jan 28 2020 kukuk@suse.de
- Update to version 0.4.0+git20200124.846a5a4:
  * news: add news for 0.4.0
  * base/v0_2_exp: translate filesystem.mountOptions field
  * go.mod: bump Ignition to 2.1.1
  * docs: fix versions for 1.1.0-experimental
  * build*: use vendored dependencies
  * test: don't gofmt vendored packages
  * vendor: vendor dependencies
  * {docs,release-checklist}: add Quay tag pointing to latest release
  * release-checklist: fix caps
  * news: add news for 0.3.0
* Sat Jan 18 2020 kukuk@suse.de
- Update to version 0.2.0+git20191111.daeb3de:
  * docs: add docs for storage.fs.with_mount_unit
  * vendor: update go.{mod,sum}
  * base/v0_2: add filesystem.with_mount_unit
  * config: split errors to common
  * translate: allow translations from a common source
  * translate: split helper fns to their own file
  * translate: split TranslationSet to own file
  * translate: minor refactor, add tests, fix bug
  * base/v0_2: add field to create mount units for fs
  * base/v0_2: add new fields from ign spec 3.1.0-exp
  * docs: add docs for v1.1.0-experimental
  * config,distro: Start using v1.1.0-experimental
  * config/v1_1_exp: add package
  * base/v0_2_exp: translate to v3.1.0-experimental
  * base/v0_2_exp: add package
  * *: use new translation tracking
  * translate: keep track of translations
  * translate: add translate from ignition
  * distro: add to config, do not create a new one
  * docs: document inline file contents
  * *: return reports, print reports to stderr
  * Removed -t flag for podman run using stdin
  * main: use O_TRUNC when opening output file
  * docs/getting-started: document absolute path for config bind mount
  * docs/getting-started: add fcct container docs
  * [docs] passwords are hashed not encrypted
  * news: add news for 0.2.0
  * go.mod: bump ignition to 2.0.1
* Mon Aug 26 2019 Jan Engelhardt <jengelh@inai.de>
- Use noun phrase in summary.
* Thu Jul 25 2019 kukuk@suse.de
- Initial version
